Disk Management

You use Disk Management to manage hard disks and volumes in Windows 2000.

  • Before adding a disk to your computer, see Checklist: Adding a new disk.
  • To find features that have been moved in Windows 2000 Server, see New ways to do familiar tasks.
  • For tips about using Disk Management, see Best practices.
  • For help with specific tasks, see How to.
  • For general background information, see Concepts.
  • For problem-solving instructions, see Troubleshooting.


Checklist: Adding a new disk

Step | Reference
Review key concepts. Disk Management overview;
Best practices;
To restore disk configuration information
Confirm that you are a member of the Administrators group. | Groups overview
Back up existing data. | To back up files with the backup wizard
Add the new disk. | To manage new disks
Configure the new disk. Basic and dynamic disks;
Volumes and partitions
Format volumes on the disk. Windows file systems;
To format a basic volume;
To format a dynamic volume


New ways to do familiar tasks

The following table compares familiar Windows NT 4.0 disk and volume administration tasks with the equivalent tasks in Windows 2000.
If you want to | In Windows NT 4.0 use | In Windows 2000 use
Format a volume | Disk Administrator in Administrative tools. | Computer Management (Local). For more information, see To format a dynamic volume.
Add a new disk drive | Disk Administrator in Administrative tools. | Computer Management (Local). For more information, see To manage new disks.
Create a mirror set | Disk Administrator in Administrative tools. | Computer Management (Local). For more information, see To create a mirrored volume.
Create a stripe set with parity | Disk Administrator in Administrative tools. | Computer Management (Local). For more information, see To create a RAID-5 volume.


Best practices

  • Backing up data
    Deleting or creating partitions or volumes destroys any existing data. Be sure to back up the disk contents beforehand. As with any major change to disk contents, you should back up the entire contents of the hard disk before working with partitions or volumes, even if you plan to leave one or more of your partitions or volumes alone.
  • Formatting volumes using the NTFS file system
    Several Windows 2000 features require this file format.
  • Using dynamic disks
    Several Disk Management tasks can be performed only with dynamic disks, including the ability to create fault-tolerant disks.


How to...

  • Manage the Disk Management window
  • Manage disks
  • Manage dynamic volumes
  • Manage basic volumes


Manage the Disk Management window

  • Display disks and volumes in graphical or list view
  • Change the colors and patterns for volumes and disk regions
  • Change how disk sizes are displayed
  • Change how regions are displayed
  • Refresh drive letter, file system, and volume information


Display disks and volumes in graphical or list view

To display disks and volumes in graphical or list view

  2. Click View, and then do one of the following:
    • To set what is displayed in the upper pane, point to Top, and then click Disk List, Volume List, or Graphical View.
    • To set what is displayed in the lower pane, point to Bottom, and then click Disk List, Volume List, Graphical View, or Hidden.

Notes

  • You must be logged on as an administrator or a member of the Administrators group to complete this procedure. If your computer is connected to a network, network policy settings might also prevent you from completing this procedure.
  • To increase or decrease the size of each pane, drag the divider bar between the upper and lower panes.
  • To hide or display the console tree, on the Standard button toolbar, click Show/Hide Console Tree.
  • If you select a volume in the list view of volumes, the regions of the disks that make up that volume are selected in the graphical view of disks.

Related Topics


Change the colors and patterns for volumes and disk regions

To change the colors and patterns for volumes and disk regions

  2. Click View, and then click Settings.
  3. On the Appearance tab, in Item, click the item you want to change.
  4. In Color, select a new color, and then in Pattern select a new pattern.

Notes

  • You must be logged on as an administrator or a member of the Administrators group to complete this procedure. If your computer is connected to a network, network policy settings might also prevent you from completing this procedure.

Related Topics


Change how disk sizes are displayed

To change how disk sizes are displayed

  2. Click View, and then click Settings.
  3. Click the Scaling tab.
  4. Under Disks, select the type of display that you want for disks on the computer system.

Notes

  • You must be logged on as an administrator or a member of the Administrators group to complete this procedure. If your computer is connected to a network, network policy settings might also prevent you from completing this procedure.

Related Topics


Change how regions are displayed

To change how regions are displayed

  2. Click View, click Settings, and then click the Scaling tab.
  3. Under Disk regions, select the type of display that you want for the disk regions on the computer system.

Notes

  • You must be logged on as an administrator or a member of the Administrators group to complete this procedure. If your computer is connected to a network, network policy settings might also prevent you from completing this procedure.

Related Topics


Refresh drive letter, file system, and volume information

To refresh drive letter, file system, and volume information

  2. Click Action, and then click Refresh.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • When you click the Refresh command, Disk Management refreshes drive letter, file system, volume, and removable media information, and also checks to see if unreadable volumes are now readable. However, it does not scan hardware. To update hardware information, click Rescan Disks instead.

Related Topics


Manage disks

  • Manage disks on a remote computer
  • Manage new disks
  • Move disks to another computer
  • View disk properties
  • Update disk information
  • Reactivate a missing or offline disk
  • Upgrade a basic disk to a dynamic disk
  • Change a dynamic disk back to a basic disk
  • Restore disk configuration information


Manage disks on a remote computer

To manage disks on a remote computer

  1. Click Start, click Run, type mmc, and then click OK.
  2. On the Console menu, click Add/Remove Snap-in, and then click Add.
  3. Click Disk Management, and then click Add.
  4. Click Another computer, and then type the name of the remote computer.
  5. Click Finish.

Notes

  • Both the client and server computers must be members of the same domain or within a trusted domain.
  • The user of the client computer must be a member of the Administrators or Server Operators group on the remote computer.

Related Topics


Manage new disks

To manage new disks

  2. Click Action, and then click Rescan Disks.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • If Disk Management does not detect the new disk after you click Rescan Disks, you may need to restart your computer.
  • New disks are added to the computer as basic disks. You can upgrade new disks to dynamic disks.

Related Topics


Move disks to another computer

To move disks to another computer

  1. Before you disconnect the disks, make sure the status of the volumes on the disks is Healthy. If the status is not Healthy, you should repair the volumes before you move the disks.
  2. Turn the computer off, remove the physical disks, and then install the physical disks on the other computer. Restart the computer that contains the disks you moved.
  4. Click Action, and then click Rescan Disks.
  5. Right-click any disk marked Foreign, click Import Foreign Disks, and then follow the instructions on your screen.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • After you import a dynamic disk from another computer, you can see and use any existing volumes on that disk.
  • Every time you remove or import disks to a computer, you must click Action, click Rescan Disks, and then verify that the disk information is correct.
  • You can move multiple disks from different computers to another computer by installing the disks, opening Disk Management, right-clicking any of the new disks, and then clicking Import Foreign Disks. You can choose which disks from the group you want to add by clicking Select Disk.
  • Disk Management describes the condition of the volumes on the disks before they are imported. Review this information carefully. If there are any problems, this will tell you what will happen to each volume on these disks once the disks have been imported. For more information, see Related Topics.

Related Topics


View disk properties

To view disk properties

  2. In the graphical view or disk list, right-click a disk and then click Properties.

Note

  • You must be logged on as an administrator or a member of the Administrators group to complete this procedure. If your computer is connected to a network, network policy settings might also prevent you from completing this procedure.
  • The Properties dialog box lists information about the physical disk as well as the volumes it contains. If you want to view the properties of one of the volumes listed, click the volume and then click Properties.


Update disk information

To update disk information

  2. Click Action, and then click Rescan Disks.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • Use the Rescan Disks command if your disk configuration has changed, but the changes do not appear in Disk Management.
  • When Disk Management rescans disks, it scans all attached disks for disk configuration changes. It also updates information on removable media, CD-ROM drives, basic volumes, file systems, and drive letters.
  • Rescanning disks can take several minutes, depending on the number of hardware devices installed.

Related Topics


Reactivate a missing or offline disk

To reactivate a missing or offline disk

  2. Right-click the disk marked Missing or Offline, and then click Reactivate Disk.

    The disk should be marked Online after the disk is reactivated.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • A dynamic disk may become missing when it is corrupted, powered down, or disconnected.
  • Only dynamic disks can be reactivated.

Related Topics


Upgrade a basic disk to a dynamic disk

To upgrade a basic disk to a dynamic disk

  2. Right-click the basic disk you want to upgrade, click Upgrade to Dynamic Disk, and then follow the instructions on your screen.

    3. If you do not see this command, you may be right-clicking a volume instead of a disk, the disk may have been previously upgraded to a dynamic disk, or the computer is a portable computer. (Dynamic disks are not supported on portable computers.)

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • For additional information about upgrading basic disks to dynamic disks, see Related Topics.
  • After you upgrade a basic disk to a dynamic disk, you cannot change the dynamic volumes back to partitions. Instead, you must delete all dynamic volumes on the disk and then use the Revert To Basic Disk command.
  • Before you upgrade disks, close any programs that are running on those disks.
  • For the upgrade to succeed, any disks to be upgraded must contain at least 1 MB of unallocated space. Disk Management automatically reserves this space when creating partitions or volumes on a disk, but disks with partitions or volumes created by other operating systems may not have this space available. (This space may exist even if it is not visible in Disk Management.)
  • Once upgraded, a dynamic disk cannot contain partitions or logical drives, nor can it be accessed by MS-DOS or Windows operating systems other than Windows 2000.
  • When you upgrade a basic disk to a dynamic disk, any existing partitions on the basic disk become simple volumes on the dynamic disk. Any existing mirrored volumes (mirror sets), striped volumes (stripe sets), RAID-5 volumes (stripe sets with parity), or spanned volumes (volume sets) become dynamic mirrored volumes, dynamic striped volumes, dynamic RAID-5 volumes, or dynamic spanned volumes, respectively.

Related Topics


Change a dynamic disk back to a basic disk

To change a dynamic disk back to a basic disk

  2. Right-click the dynamic disk you want to change back to a basic disk, and then click Revert To Basic Disk.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • You must remove all volumes from the dynamic disk before you can change it back to a basic disk.
  • Once you change a dynamic disk back to a basic disk, you can create only partitions and logical drives on that disk.

Related Topics


Restore disk configuration information

To restore disk configuration information

  1. Insert the floppy disk that contains the disk configuration information from a previous version of Windows 2000 (Windows NT 4.0 and earlier) into the floppy disk drive.
  3. Click Action, click Restore Basic Disk Configuration, and then follow the instructions on your screen.

Important

  • This procedure overwrites existing basic disk configuration information with a previously saved configuration.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • If you perform a fresh installation of Windows 2000 on a computer that also runs Windows NT 4.0 or earlier, you must follow this procedure before Disk Management can access existing volume sets, stripe sets, stripe sets with parity, and mirror sets. Use the Disk Administrator program in previous versions of Windows 2000 (Windows NT 4.0 and earlier) to save the disk configuration settings to a floppy disk. After you install Windows 2000, follow this procedure to update volume information.


Manage dynamic volumes

  • View the properties of a dynamic volume
  • Assign, change, or remove a drive letter
  • Create a mounted drive
  • Format a dynamic volume
  • Delete a dynamic volume
  • Manage simple volumes
  • Manage spanned volumes
  • Manage striped volumes
  • Manage mirrored volumes
  • Manage RAID-5 volumes


View the properties of a dynamic volume

To view the properties of a dynamic volume

  2. Right-click the dynamic volume, and then click Properties.

Notes

  • You must be logged on as an administrator or a member of the Administrators group to complete this procedure. If your computer is connected to a network, network policy settings might also prevent you from completing this procedure.

Related Topics


Assign, change, or remove a drive letter

To assign, change, or remove a drive letter

  2. Right-click a partition, logical drive, or volume, and then click Change Drive Letter and Path.
  3. Do one of the following:
    • To assign a drive letter, click Add, click the drive letter you want to use, and then click OK.
    • To remove a drive letter, click it, and then click Remove.
    • To modify a drive letter, click it, click Edit, click the drive letter you want to use, and then click OK.

Important

  • Be careful when making drive-letter assignments because many MS-DOS and Windows programs make references to a specific drive letter. For example, the path environment variable shows specific drive letters in conjunction with program names.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • You can use up to 24 drive letters, from C through Z. Drive letters A and B are reserved for floppy disk drives. However, if you do not have a floppy disk drive B, you can use the letter B for a network drive.
  • You cannot change the drive letter of the system volume or boot volume.
  • An error message may appear when you attempt to assign a letter to a volume, CD-ROM drive, or other removable media device, possibly because it is in use by a program in the system. If this happens, close the program accessing the volume or drive, and then click the Change Drive Letter and Path command again.
  • Windows 2000 allows the static assignment of drive letters on volumes, partitions, and CD-ROM drives. This means that you permanently assign a drive letter to a specific partition, volume, or CD-ROM drive. When you add a new hard disk to an existing computer system, it will not affect statically assigned drive letters.
  • You can also mount a local drive at an empty folder on an NTFS volume using a drive path instead of a drive letter. For more information, see Related Topics.

Related Topics


Create a mounted drive

To create a mounted drive

  2. Right-click the partition or volume you want to mount, and then click Change Drive Letter and Path.
  3. Do one of the following:
    • To mount a volume, click Add. Click Mount in this NTFS folder, type the path to an empty folder on an NTFS volume, or click Browse to locate it.
    • To unmount a volume, click it and then click Remove.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • When you mount a local drive at an empty folder on an NTFS volume, Windows 2000 assigns a drive path to the drive rather than a drive letter.
  • Drive paths are available only on empty folders on NTFS volumes. The NTFS volumes can be basic or dynamic.
  • To modify a drive path, remove it and then create a new drive path using the new location. You cannot modify the drive path directly.
  • If you are administering a local computer, you can browse NTFS folders on that computer. If you are administering a remote computer, browsing is disabled and you must type the path to an existing NTFS folder.
  • To view all drive paths, click View, and then click All Drive Paths.

Related Topics


Format a dynamic volume

To format a dynamic volume

  2. Right-click the volume you want to format (or reformat), and then click Format.
  3. Select the options you want, and then click OK.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • You cannot format the system or boot volume.
  • Compression is supported only on NTFS volumes.
  • Quick format removes files from the disk but does not scan the disk for bad sectors. Use this option only if this disk has been previously formatted and you are sure the disk is not damaged.
  • Additional information on file systems is available. If you are using Windows 2000 Professional, see the Windows 2000 Professional Getting Started online book. If you are using Windows 2000 Server, see Choosing between NTFS, FAT, and FAT32.

Related Topics


Delete a dynamic volume

To delete a dynamic volume

  2. Right-click the dynamic volume you want to delete, and then click Delete Volume.

Important

  • Use caution when deleting a volume. Deleting a simple, spanned, striped, mirrored, or RAID-5 volume deletes all the data on the volume as well the volume itself.
  • You cannot recover deleted volumes.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • You cannot delete the system volume, boot volume, or any volume that contains the active paging file.

Related Topics


Manage simple volumes

  • Create a simple volume
  • Extend a simple or spanned volume


Create a simple volume

To create a simple volume

  2. Right-click the unallocated space on the dynamic disk where you want to create the simple volume, and then click Create Volume.
  3. In the Create Volume wizard, click Next, click Simple volume, and then follow the instructions on your screen.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • You can create simple volumes on dynamic disks only.
  • You can extend a simple volume within the same disk. You can also extend a simple volume onto additional dynamic disks to create a spanned volume. Any volume you extend must be formatted using NTFS. You cannot extend volumes formatted using FAT or FAT32.
  • Simple volumes are not fault tolerant.
  • Simple volumes cannot contain partitions or logical drives, nor can they be accessed by MS-DOS or Windows operating systems other than Windows 2000. You should create partitions instead of dynamic volumes if this computer also runs Windows NT 4.0 or earlier, Windows 98 or earlier, or MS-DOS.

Related Topics


Extend a simple or spanned volume

To extend a simple or spanned volume

  2. Right-click the simple or spanned volume you want to extend, click Extend Volume, and then follow the instructions on your screen.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • You can extend a volume only if it contains no file system or it is formatted using NTFS. You cannot extend volumes formatted using FAT or FAT32.
  • You can extend a simple or extended volume only if the volume was created as a dynamic volume. You cannot extend a simple or extended volume that was upgraded from basic to dynamic.
  • You cannot extend a system volume or boot volume.
  • You can extend simple and spanned volumes on dynamic disks onto a maximum of 32 dynamic disks.
  • Striped, mirrored, and RAID-5 volumes cannot be extended.
  • A simple volume can be extended within its original disk or onto additional disks.
  • Once a volume is extended onto multiple disks (spanned), it cannot be mirrored or striped.
  • Once a spanned volume is extended, no portion of it can be deleted without deleting the entire spanned volume.

Related Topics


Manage spanned volumes

  • Create a spanned volume
  • Extend a simple or spanned volume


Create a spanned volume

To create a spanned volume

  2. Right-click the unallocated space on one of the dynamic disks where you want to create the spanned volume, and then click Create Volume.
  3. In the Create Volume wizard, click Next, click Spanned volume, and then follow the instructions on your screen.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • You can create spanned volumes on dynamic disks only.
  • You need at least two dynamic disks to create a spanned volume.
  • You can extend a spanned volume onto a maximum of 32 dynamic disks.
  • Spanned volumes cannot be mirrored or striped.
  • Spanned volumes are not fault tolerant.

Related Topics


Manage striped volumes

  • Create a striped volume


Create a striped volume

To create a striped volume

  2. Right-click unallocated space on one of the dynamic disks where you want to create the striped volume, and then click Create Volume.
  3. In the Create Volume wizard, click Next, click Striped volume, and then follow the instructions on your screen.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • You need at least two dynamic disks to create a striped volume. You can create a striped volume onto a maximum of 32 disks.
  • Striped volumes are not fault tolerant and cannot be extended or mirrored.

Related Topics


Manage mirrored volumes

  • Create a mirrored volume
  • Add a mirror to an existing simple volume
  • Resynchronize a mirrored volume
  • Break a mirrored volume into two volumes
  • Remove a mirror from a mirrored volume


Create a mirrored volume

To create a mirrored volume

  2. Right-click the unallocated space on one of the dynamic disks where you want to create the mirrored volume, and then click Create Volume.
  3. In the Create Volume wizard, click Next, click Mirrored volume, and then follow the instructions on your screen.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • You can create mirrored volumes only on computers running Windows 2000 Server.
  • You need at least two dynamic disks to create a mirrored volume.
  • Mirrored volumes are fault tolerant.
  • Mirrored volumes cannot be extended or striped.
  • The same drive letter is used for both copies (mirrors) of a mirrored volume.

Related Topics


Add a mirror to an existing simple volume

To add a mirror to an existing simple volume

  2. Right-click the simple volume you want to mirror, click Add Mirror, and then follow the instructions on your screen.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • You can mirror volumes only on computers running Windows 2000 Server.
  • Any existing simple volume can be mirrored onto another dynamic disk, as long as there is sufficient unallocated space on that disk. If you don't have a dynamic disk with enough unallocated space, the Add Mirror command is unavailable. (To verify you have enough space, right-click the disk, click Properties, and then check the size in Unallocated Space. This size may be slightly smaller than shown in the graphical and list views.)
  • Mirrored volumes are fault tolerant.
  • You cannot extend a simple volume after it has been mirrored.
  • The same drive letter is used for both copies (mirrors) of a mirrored volume.

Related Topics


Resynchronize a mirrored volume

To resynchronize a mirrored volume

  2. Right-click the mirrored volume you want to resynchronize, and then click Resynchronize Mirror.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • In most cases, mirrored volumes on dynamic disks are resynchronized automatically. However, you need to use the Resynchronize Mirror command for mirrored volumes (mirror sets) on basic disks.
  • You resynchronize a mirrored volume when data on one of the disks becomes stale. For example, if one disk of a mirrored volume is disconnected, data is written to the remaining disk, but the volume is no longer fault tolerant. If you reconnect the disk, the data on the reconnected disk is stale. To make the mirrored volume fault tolerant again, you must resynchronize the mirrored volume to update the information on the reconnected disk.

Related Topics


Break a mirrored volume into two volumes

To break a mirrored volume into two volumes

  2. Right-click a volume in the mirrored volume, and then click Break Mirror.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • When you break a mirrored volume, the two volume copies that made up the mirrored volume become two independent simple volumes. These volumes are no longer fault tolerant.

Related Topics


Remove a mirror from a mirrored volume

To remove a mirror from a mirrored volume

  2. Right-click the mirror you want to remove, click Remove Mirror, and then follow the instructions on your screen.

Important

  • Once you remove a mirror from a mirrored volume, the removed mirror becomes unallocated space and the remaining mirror becomes a simple volume that is no longer fault tolerant. All of the data on the removed mirror is deleted.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.

Related Topics


Manage RAID-5 volumes

  • Create a RAID-5 volume


Create a RAID-5 volume

To create a RAID-5 volume

  2. Right-click the unallocated space on one of the dynamic disks where you want to create the RAID-5 volume, and then click Create Volume.
  3. In the Create Volume wizard, click Next, click RAID-5 volume, and then follow the instructions on your screen.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • You can create RAID-5 volumes only on computers running Windows 2000 Server.
  • You need at least three dynamic disks to create a RAID-5 volume. A RAID-5 volume can span a maximum of 32 disks.
  • RAID-5 volumes provide fault tolerance at a cost of only one additional disk for the volume. This means that if you use three 10-GB disks to create a RAID-5 volume, the volume will have a 20-GB capacity. The remaining 10-GB is used for parity
    • .
  • RAID-5 volumes cannot be extended or mirrored.

Related Topics


Manage basic volumes

  • View the properties of a basic volume
  • Assign, change, or remove a drive letter
  • Create a mounted drive
  • Mark a partition as active on an Intel-based computer
  • Format a basic volume
  • Manage partitions and logical drives
  • Manage spanned volumes (volume sets)
  • Manage striped volumes (stripe sets)
  • Manage mirrored volumes (mirror sets)
  • Manage RAID-5 volumes (stripe sets with parity)


View the properties of a basic volume

To view the properties of a basic volume

  2. In Disk Management, right-click the partition, logical drive, or other basic volume, and then click Properties.

Notes

  • You must be logged on as an administrator or a member of the Administrators group to complete this procedure. If your computer is connected to a network, network policy settings might also prevent you from completing this procedure.

Related Topics


Mark a partition as active on an Intel-based computer

To mark a partition as active on an Intel-based computer

  2. Right-click the primary partition you want to mark as active, and then click Mark Partition Active.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • In the list and graphical views, system, active, and boot partitions are marked as System, Active, or Boot, respectively.
  • The names commonly used for partitions containing the startup and operating system files are system and boot partitions, respectively.
  • You cannot mark a logical drive as active.
  • You cannot mark an existing dynamic volume as active. However, you can upgrade a basic disk containing the active partition to a dynamic disk. Once the disk is upgraded, the partition becomes a simple volume that is active.
  • The system partition must be a primary partition that has been marked as active for startup purposes and must be located on the disk that the computer accesses when starting up the system. There can be only one active system partition at a time. If you want to use another operating system, you must first mark its system partition as active before restarting the computer.
  • The system partition can never be part of a striped volume (stripe set), spanned volume (volume set), or RAID-5 volume (stripe set with parity).

Related Topics


Format a basic volume

To format a basic volume

  2. Right-click the partition, logical drive, or basic volume you want to format (or reformat), and then click Format.
  3. Select the options you want, and then click OK.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • You cannot format the system or boot partition.
  • Compression is supported only on NTFS volumes.
  • Quick format removes files from the disk but does not scan the disk for bad sectors. Use this option only if this disk has been previously formatted and you are sure the disk is not damaged.
  • Additional information on file systems is available. If you are using Windows 2000 Professional, see the Windows 2000 Professional Getting Started online book. If you are using Windows 2000 Server, see Choosing between NTFS, FAT, and FAT32.

Related Topics


Manage partitions and logical drives

  • Create a partition or logical drive
  • Delete a partition or logical drive


Create a partition or logical drive

To create a partition or logical drive

  2. Right-click an unallocated region of a basic disk, and then click Create Partition, or right-click free space in an extended partition, and then click Create Logical Drive.
  3. In the Create Partition wizard, click Next, click Primary Partition, Extended Partition, or Logical Drive, and then follow the instructions on your screen.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • You can create primary partitions, extended partitions, and logical drives only on basic disks. You should create partitions instead of dynamic volumes if this computer also runs Windows NT 4.0 or earlier, Windows 98 or earlier, or MS-DOS.
  • You can create up to four primary partitions on a disk, or three primary partitions and one extended partition.

Related Topics


Delete a partition or logical drive

To delete a partition or logical drive

  2. Right-click the partition, logical drive, or volume you want to delete, and then click Delete Partition.

Important

  • All data on the deleted partition or logical drive is lost.
  • You cannot recover deleted partitions or logical drives.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • You cannot delete the system partition, boot partition, or any partition that contains the active paging file.
  • Windows 2000 requires that all the logical drives or other volumes in an extended partition be deleted before you can delete the extended partition.

Related Topics


Manage spanned volumes (volume sets)

  • Delete a spanned volume (volume set) on a basic disk


Delete a spanned volume (volume set) on a basic disk

To delete a spanned volume (volume set) on a basic disk

  2. Right-click the spanned volume you want to delete, and then click Delete Volume.

Important

  • Deleting a spanned volume deletes all the data contained in the volume as well as the partitions that make up the spanned volume. You can delete only entire spanned volumes.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • In Windows NT 4.0 and earlier, spanned volumes were known as volume sets. Disk Management renames all volume sets to Spanned Volume. These spanned volumes reside only on basic disks.
  • In Windows 2000, you can delete spanned volumes created using Windows NT 4.0 or earlier. You cannot create or extend spanned volumes on basic disks.

Related Topics


Manage striped volumes (stripe sets)

  • Delete a striped volume (stripe set) on a basic disk


Delete a striped volume (stripe set) on a basic disk

To delete a striped volume (stripe set) on a basic disk

  2. Right-click the striped volume you want to delete, and then click Delete Volume.

Important

  • Deleting a striped volume deletes all the data contained in the volume as well as the partitions that make up the volume. You can delete only entire striped volumes.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • In Windows NT 4.0 and earlier, striped volumes were known as stripe sets. Disk Management renames all stripe sets to Striped Volume. These striped volumes reside only on basic disks.
  • In Windows 2000, you can delete striped volumes created using Windows NT 4.0 or earlier. You cannot create striped volumes on basic disks.

Related Topics


Manage mirrored volumes (mirror sets)

  • Repair a basic mirrored volume (mirror set)
  • Resynchronize a mirrored volume
  • Break a mirrored volume (mirror set) on a basic disk
  • Delete a mirrored volume (mirror set) on a basic disk


Repair a basic mirrored volume (mirror set)

To repair a basic mirrored volume (mirror set)

  2. Right-click the mirrored volume you want to repair, click Repair Volume, and then follow the instructions on your screen.

    The mirrored volume's status should change to Regenerating, then Healthy. If the volume does not return to the Healthy status, right-click the volume and then click Resynchronize Mirror.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • If a basic disk containing part of a mirrored volume is disconnected or fails, the mirrored volume's status becomes Failed Redundancy and the disk's status remains Online. If this happens, you can try to repair the volume.
  • When you repair a mirrored volume on a basic disk, Disk Management creates a new mirror on a healthy disk and then resynchronizes the new mirror.
  • Repairing a mirrored volume on a basic disk requires an additional basic disk with sufficient free space for the new mirror. If an additional disk is not available, the Repair Volume option is unavailable and you cannot repair the volume.
  • You must use a basic disk to repair a basic mirrored volume (mirror set). You cannot use a dynamic disk.

Related Topics


Break a mirrored volume (mirror set) on a basic disk

To break a mirrored volume (mirror set) on a basic disk

  2. Right-click the mirrored volume you want to break, and then click Break Mirror.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • In Windows NT 4.0 and earlier, mirrored volumes were known as mirror sets. Disk Management renames all mirror sets to Mirrored Volume. These mirrored volumes reside only on basic disks.
  • When you break a mirrored volume created using Windows NT 4.0 or earlier, you create two independent partitions or logical drives. No information is deleted, but the data is no longer redundant.
  • To create a new mirrored volume, you must upgrade the disks to dynamic disks.

Related Topics


Delete a mirrored volume (mirror set) on a basic disk

To delete a mirrored volume (mirror set) on a basic disk

  2. Right-click the mirrored volume you want to delete, and then click Delete Volume.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • Deleting a mirrored volume deletes all the data contained in the volume as well as the partitions that make up the volume. You can delete only entire mirrored volumes.
  • In Windows NT 4.0 and earlier, mirrored volumes were known as mirror sets. Disk Management renames all mirror sets to Mirrored Volume. These mirrored volumes reside only on basic disks.

Related Topics


Manage RAID-5 volumes (stripe sets with parity)

  • Repair a basic RAID-5 volume (stripe set with parity)
  • Delete a RAID-5 volume (stripe set with parity) on a basic disk


Repair a basic RAID-5 volume (stripe set with parity)

To repair a basic RAID-5 volume (stripe set with parity)

  2. Right-click the RAID-5 volume you want to repair, and then click Repair Volume.

    The RAID-5 volume's status should change to Regenerating, then Healthy. If the volume does not return to the Healthy status, right-click the volume and then click Regenerate Parity.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • If a basic disk containing part of a RAID-5 volume is disconnected or fails, the RAID-5 volume's status becomes Failed Redundancy and the disk's status remains Online. If this happens, you can try to repair the volume.
  • When you repair a RAID-5 volume on a basic disk, Disk Management relocates part of the RAID-5 volume to a healthy disk, regenerates the parity, and then returns the volume's status to Healthy.
  • Repairing a RAID-5 volume on a basic disk requires an additional basic disk with sufficient free space for part of the RAID-5 volume. If an additional disk is not available, the Repair Volume option is unavailable and you cannot repair the volume.
  • You must use a basic disk to repair a basic RAID-5 volume (stripe set with parity). You cannot use a dynamic disk.

Related Topics


Delete a RAID-5 volume (stripe set with parity) on a basic disk

To delete a RAID-5 volume (stripe set with parity) on a basic disk

  2. Right-click the RAID-5 volume you want to delete, and then click Delete Volume.

Important

  • Deleting a RAID-5 volume deletes all the data contained in the volume as well as the partitions that make up the RAID-5 volume. You can delete only entire RAID-5 volumes.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • In Windows NT 4.0 and earlier, RAID-5 volumes were known as stripe sets with parity. Disk Management renames all stripe sets with parity to RAID-5 Volume. These RAID-5 volumes reside only on basic disks.
  • In Windows 2000, you can delete RAID-5 volumes created using Windows NT 4.0 or earlier. You cannot create RAID-5 volumes on basic disks.

Related Topics


Concepts

This section provides general background information about Disk Management.

  • Disk Management overview
  • Understanding Disk Management
  • Using Disk Management
  • Resources


Disk Management overview

Disk Management is a system utility for managing hard disks and the volumes, or partitions that they contain. With Disk Management, you can create volumes, format volumes with file systems, initialize disks, and create fault-tolerant disk systems. Disk Management, which replaces the Disk Administrator utility used in Windows NT 4.0 and earlier, offers many new features, including:

  • Dynamic disks. With dynamic disks, you can accomplish administrative tasks without shutting down the system or interrupting users. For example, you can create, extend, or mirror a volume without restarting the system. You can also add a new disk without restarting. Most configuration changes take effect almost immediately.
  • Local and network drive management. From any Windows 2000 computer on your network, you can manage any other network computer that runs Windows 2000 and on which you are an administrator.
  • Simplified tasks and intuitive user interface. Disk Management is easy to use. Right-click menus show you which tasks you can perform on the selected object, and wizards guide you through creating partitions or volumes and initializing or upgrading disks.
  • Mounted drives. You can use Disk Management to connect, or mount, a local drive at any empty folder on a local NTFS-formatted volume. Mounted drives make data more accessible and give you the flexibility to manage data storage based on your work environment and system usage.


Understanding Disk Management

This section covers:

  • The Disk Management window
  • Basic and dynamic disks
  • Windows file systems
  • Volumes and partitions
  • Limitations of dynamic disks and dynamic volumes
  • Remote administration


The Disk Management window

The Disk Management window displays disks and volumes in a graphical view and in a list view. You can customize how you view disks and volumes by changing what is displayed in the upper and lower pane and by selecting the colors and patterns used to display volumes and disk regions. To change the way objects are displayed in the Disk Management window, click View and then select the options you want.


Basic and dynamic disks

Disk Management supports basic and dynamic disks. When you install Windows 2000, your hard disks are automatically initialized as basic. You can use the upgrade wizard to convert them to dynamic after installation is complete. You can use both basic and dynamic disks on the same computer system, but a volume consisting of multiple disks, such as a mirrored volume, must use only one type of disk.

Basic disks adhere to the partition-oriented scheme of Windows NT Server 4.0 disk organization. For upgrades, partitioned disks are automatically initialized as basic disks, so you can maintain partitions and volumes created with Windows NT Server 4.0. New or empty disks can be initialized as basic or dynamic after installation. However, to set up a new fault-tolerant disk system, or to make changes to disks without restarting your computer, you must use dynamic disks.

A dynamic disk is a physical disk that contains dynamic volumes created using Disk Management. Dynamic disks cannot contain partitions or logical drives, nor can they be accessed using MS-DOS.

For both basic and dynamic disks, you can:

  • Check disk properties such as capacity, available free space, and current status.
  • View volume and partition properties such as size, drive-letter assignment, label, type, and file system.
  • Establish drive-letter assignments for disk volumes or partitions, and for CD-ROM devices.
  • Establish disk sharing and security arrangements for a volume or partition.
  • Upgrade a basic disk to dynamic or revert a dynamic disk to basic.

You can perform the following tasks only on a dynamic disk:

  • Create and delete simple, spanned, striped, mirrored, and RAID-5 volumes.
  • Extend a simple or spanned volume.
  • Remove a mirror from a mirrored volume or split the volume into two volumes.
  • Repair mirrored or RAID-5 volumes.
  • Reactivate a missing or offline disk.

You can perform the following tasks only on a basic disk:

  • Create and delete primary and extended partitions.
  • Create and delete logical drives within an extended partition.
  • Format a partition and mark it as active.
  • Delete volume sets, stripe sets, mirror sets, and stripe sets with parity.
  • Break a mirror from a mirror set.
  • Repair a mirror set or a stripe set with parity.

Certain functions are no longer available on basic disks because multiple-disk storage systems should use dynamic disks. Disk Management supports legacy volumes that exceed a single partition on more than one hard disk, but it does not allow you to create new ones. For example, you cannot perform the following tasks on a basic disk:

  • Create volume, stripe, and mirror sets or stripe sets with parity.
  • Extend volumes and volume sets.

For information about upgrading a disk from basic to dynamic, see Upgrading a basic disk to dynamic.


Windows file systems

Before formatting a volume or partition, consider the file system with which to format it. Windows 2000 supports the NTFS file system and the File Allocation Table (FAT) and FAT32. NTFS is the recommended file system for Windows 2000 because it supports several features that the others do not. However, because Windows 2000 is the only operating system that recognizes NTFS, you must format the volume or partition as FAT if you plan to access files on that volume or partition from other operating systems, including MS-DOS.

Choose NTFS if you are running only Windows 2000 and you want to take advantage of NTFS features.

Following are features that are unique to NTFS.

File system feature | NTFS | FAT | FAT32
Compression | x |  |
Disk quotas | x |  |
Encryption | x |  |
Mount points | x |  |
Remote storage | x |  |

Notes

  • For more information about file system compatibility and limitations, see Choosing between NTFS, FAT, and FAT32.
  • For more information about installing multiple operating systems on a volume, see Installing more than one operating system on your computer.


Volumes and partitions

On a dynamic disk, storage is divided into volumes instead of partitions. You can upgrade from basic storage to dynamic storage at any time. When you upgrade to dynamic storage, existing partitions are converted into volumes as shown in the following table.

Basic disk organization | Dynamic disk organization
Partition | Volume
System and boot partitions | System and boot volumes
Active partition | Active volume
Extended partition | Volumes and unallocated space
Logical drive | Simple volume
Volume set | Spanned volume
Stripe set | Striped volume
Mirror set | Mirrored volume

For more information, see Working with volumes.


Limitations of dynamic disks and dynamic volumes

Dynamic disks are not supported on portable computers. If you are using a portable computer and right-click a disk in the graphical or list view in Disk Management, you will not see the option to upgrade the disk to dynamic.

The limitations of dynamic volumes occur in the following situations:

  • When installing Windows 2000

    If a dynamic volume is created from unallocated space on a dynamic disk, you cannot install Windows 2000 on that volume. You can, however, extend the volume (if it is a simple or spanned volume).

    The setup limitation occurs because Windows 2000 Setup only recognizes dynamic volumes that contain partition tables. Partition tables appear in basic volumes and in dynamic volumes that were upgraded from basic to dynamic. If you create a new dynamic volume on a dynamic disk, then that new dynamic volume does not contain the partition table.

  • When extending a volume

    If a basic volume is upgraded to dynamic (by upgrading the basic disk to dynamic), then you can install Windows 2000 on that volume, but you cannot extend the volume.

    The limitation on extending volumes occurs because the boot volume, which contains the Windows 2000 files, cannot be part of a spanned volume. If you extend a simple volume that contains a partition table (that is, a volume that was upgraded from basic to dynamic), then Windows 2000 Setup recognizes the spanned volume but cannot install to it because the boot volume cannot be part of a spanned volume. The only dynamic volumes that you can install Windows 2000 on are simple and mirrored volumes, and these volumes must contain the partition table (which means that these volumes must be upgraded from basic to dynamic).


Remote administration

Windows 2000 supports the management of disks that are connected to remote computers. To manage disks on a remote computer, the user of the client computer must be a member of the Administrators or Server Operators group on the remote computer. Also, both the user account and the server computer must be members of the same domain or within trusted domains.

For information on administering the disk system on another computer, see To manage disks on a remote computer.


Using Disk Management

This section covers:

  • Using NTFS mounted drives
  • Viewing disk or volume status
  • Using disks
  • Using dynamic disks
  • Using basic disks


Using NTFS mounted drives

You can use Disk Management to mount a local drive at any empty folder on a local NTFS volume. You can format a mounted drive with any file system supported by Windows 2000.

When you mount a local drive at an empty folder on an NTFS volume, Windows 2000 assigns a drive path to the drive rather than a drive letter. Mounted drives are not subject to the 26-drive limit imposed by drive letters, so you can use mounted drives to access more than 26 drives on your computer. Windows 2000 ensures that drive paths retain their association to the drive, so you can add or rearrange storage devices without the drive path failing.

For example, if you have a CD-ROM drive with the drive letter D, and an NTFS-formatted volume with the drive letter C, you can mount the CD-ROM drive at an empty folder with the following path: C:\CD-ROM. You can then access the CD-ROM drive directly through the path C:\CD-ROM. If desired, you can remove the drive letter D and continue to access the CD-ROM through the mounted drive path.

Mounted drives make data more accessible and give you the flexibility to manage data storage based on your work environment and system usage. For example, you can:

  • Make the C:\Users folder a mounted drive with NTFS disk quotas, so you can track or constrain disk usage without doing the same on drive C.
  • Make the C:\Temp folder a mounted drive to provide additional disk space for temporary files.
  • Move the Program Files folder to another, larger drive when space is low on drive C, and mount it as C:\Program Files.

Related Topics


Viewing disk or volume status

If a disk or volume fails, it is important to repair the disk or volume as quickly as possible to avoid data loss. In the Status column of the list view, you can view the status of a disk or volume. The status also appears in the graphical view of each disk or volume. For a description of the status types for volumes, see Volume status descriptions. For a description of the status types for disks, see Disk status descriptions. If the status is not Healthy for volumes or Online for disks, see Troubleshooting.

Figure showing disk and volume status


Using disks

This section covers:

  • Adding a disk
  • Upgrading a basic disk to dynamic
  • Disk status descriptions
  • Support for removable media


Adding a disk

When you attach a new disk to your computer, you need to initialize the disk before you can create volumes or partitions. Use dynamic storage if you want to create simple volumes on the disk or if you plan to share the disk with other disks to create a spanned, striped, mirrored, or RAID-5 volume. Use basic storage if you want to create partitions and logical drives on the disk. Only basic disks can be accessed by MS-DOS, Windows 98, and Windows 95. Basic storage is created by default.

Only mirrored and RAID volumes on a dynamic disk are fault tolerant. For more information about fault tolerance, mirrored volumes, and RAID-5 volumes, see Fault tolerance.

To install a disk that is already initialized, see To manage new disks.

To change the storage type for which a disk is initialized, see To upgrade a basic disk to a dynamic disk or To change a dynamic disk back to a basic disk.


Upgrading a basic disk to dynamic

Any disks to be upgraded must contain at least 1 megabyte (MB) of free space at the end of the disk for the upgrade to succeed. Disk Management automatically reserves this free space when creating partitions or volumes on a disk, but disks with partitions or volumes created by other operating systems might not have this free space available.

Before you upgrade disks, close any programs that are running on those disks.

After you upgrade a basic disk to a dynamic disk, any existing partitions on the basic disk become (dynamic) simple volumes. You cannot change the dynamic volumes back to partitions. Any existing mirrored volumes (mirror sets), striped volumes (stripe sets), RAID-5 volumes (stripe sets with parity), or spanned volumes (volume sets) become dynamic mirrored, striped, RAID-5, or spanned volumes, respectively.

After it is upgraded, a dynamic disk cannot contain partitions or logical drives, nor can it be accessed by MS-DOS or by Windows operating systems other than Windows 2000.

Removable media. You cannot upgrade removable media devices to dynamic volumes. Removable media devices can contain only primary partitions.

Volumes that span multiple disks. If the basic disk contains any volumes that reside on multiple disks (such as mirrored, striped, spanned, or RAID-5 volumes), you must also upgrade all other disks that contain part of the volumes. If these other disks contain additional volumes that reside on multiple disks, you must also upgrade all disks that contain parts of these volumes. You must upgrade all of these disks together. Each of the disks must have at least 1 MB of unallocated space at the end of the disk or else the upgrade will fail. (This space may exist even if it is not visible in Disk Management.)

Disks with sector sizes larger than 512 bytes. You cannot upgrade a basic disk to a dynamic disk if the sector size of the disk is larger than 512 bytes.

Reinstalling Windows 2000 You can perform a fresh installation of Windows 2000 on a dynamic volume only if that volume was upgraded from a basic volume. (Upgrading a basic volume to dynamic reserves the partition table information. This information is required to perform fresh installations of Windows 2000 on dynamic volumes.)

Boot and system partitions. You can upgrade a basic disk containing the system or active partitions to a dynamic disk. After the disk is upgraded, these partitions become simple system or active volumes (after restarting the computer). You cannot mark an existing dynamic volume as active. You can upgrade a basic disk containing the boot partition (which contains the Windows 2000 operating system) to a dynamic disk. After the disk is upgraded, the boot partition becomes a simple boot volume (after restarting the computer). You cannot upgrade a disk that contains the system or boot partition if that disk also contains part of a spanned volume (volume set), striped volume (stripe set), mirrored volume (mirror set), or RAID-5 volume (stripe set with parity).

Upgrade failures. If you upgrade a boot disk, or if a volume or partition is in use on the disk you attempt to upgrade, the computer must be restarted for the upgrade to succeed. If any of the following conditions occur, the upgrade can fail after the computer restarts:

  • If you disconnect all existing dynamic disks while the computer is restarting.
  • If you replace a disk or set of disks to be upgraded while the computer is restarting. (Disk Management detects that the disk has changed and the upgrade may fail.)
  • If you change the disk layout of a disk to be upgraded.
  • If the disk has I/O errors during the upgrade.

Mirroring the boot and system volumes. After you upgrade the disk containing the boot and system partitions to a dynamic disk, you can mirror the boot and system volumes onto another dynamic disk. Then, if the disk containing the boot and system volumes fails, you can start the computer from the disk containing the mirrors of these volumes. For more information, see Fixing a boot failure.

When the upgrade takes place. System and boot partitions are upgraded to dynamic volumes after the computer is restarted. All other partitions and basic volumes are upgraded immediately. However, if a partition or basic volume on the disk that you are upgrading is in use, an event known as "force dismounting" occurs, which means that any programs using the volume are automatically disconnected. If the volume cannot be force dismounted (for example, there is an active paging file on the volume), then the disk upgrade does not complete until you restart the computer.

Other operating systems. If you upgrade a disk with a partition that contains an operating system other than the Windows 2000 operating system that is currently running, you will not be able to start the computer from that operating system after the upgrade.

Reverting back to basic disks. After you upgrade a basic disk to a dynamic disk, you cannot change the dynamic volumes back to partitions. Instead, you must delete all dynamic volumes on the disk and then use the Revert To Basic Disk command.

For a description of the procedure for upgrading a basic disk to a dynamic disk, see To upgrade a basic disk to a dynamic disk.


Disk status descriptions

One of the following disk status descriptions will always appear in the graphical view of the disk and in the Status column of the disk in list view. If there is a problem with a disk, you can use this troubleshooter to diagnose and correct the problem.

Online

The disk is accessible and has no known problems. This is the normal disk status. No user action is required. Both dynamic disks and basic disks display the Online status.

Online (Errors)

I/O errors have been detected on a region of the disk. A warning icon appears on the disk with errors. Only dynamic disks display the Online (Errors) status.

If the I/O errors are transient, reactivate the disk (using the Reactivate Disk command). This returns the disk to the Online status.

Offline

The disk is not accessible. The disk may be corrupted or intermittently unavailable. An error icon appears on the offline disk. Only dynamic disks display the Offline status.

If the disk status is Offline and the disk's name changes to Missing, the disk was recently available on the system but can no longer be located or identified. The missing disk may be corrupted, powered down, or disconnected.

To bring a disk that is Offline and Missing back online

Repair any disk, controller, or cable problems and make sure that the physical disk is turned on, plugged in, and attached to the computer. Then use the Reactivate Disk command to bring the disk back online.

If the disk status remains Offline and the disk name remains Missing and you determine that the disk has a problem that cannot be repaired, you can remove the disk from the system (using the Remove Disk command). However, before you can remove the disk, you must delete all volumes (or mirrors) on the disk. You can save any mirrored volumes on the disk by removing the mirror instead of the entire volume. Deleting a volume destroys the data in the volume, so you should remove a disk only if you are absolutely certain that the disk is permanently damaged and unusable.

To bring a disk that is Offline and is still named Disk # (not Missing) back online

Use the Reactivate Disk command to bring the disk back online. If the disk status remains Offline, check the cables and disk controller, and make sure that the physical disk is healthy. Correct any problems and try to reactivate the disk again. If the disk reactivation succeeds, any volumes on the disk should automatically return to the Healthy status.

Foreign

The disk has been moved to your computer from another Windows 2000 computer. However, the moved disk has not been set up for use on your computer. A warning icon appears on disks that display the Foreign status. Only dynamic disks display the Foreign status.

If you want to use the foreign disk and any volumes on that disk, you must add the disk to your computer's system configuration. To add a disk to your computer's system configuration, import the foreign disk (using the Import Foreign Disks command). Any existing volumes on the foreign disk become visible and accessible when you import the disk.

Note that in some cases, a disk that was previously connected to the system can display the Foreign status. For example, this can happen if all dynamic disks on the system fail and a basic disk is later upgraded to a dynamic disk. Configuration data for dynamic disks is stored on all dynamic disks, so the information about which disks are owned by the system is lost when all dynamic disks fail.

Unreadable

The disk is not accessible. The disk may have experienced hardware failure, corruption, or I/O errors. The disk's copy of the system's disk configuration database may be corrupted. An error icon appears on disks that display the Unreadable status. Both dynamic and basic disks display the Unreadable status.

Disks may display the Unreadable status while they are spinning up or when Disk Management is rescanning all of the disks on the system. In some cases, an unreadable disk has failed and is not recoverable. For dynamic disks, the Unreadable status usually results from corruption or I/O errors on part of the disk, rather than failure of the entire disk. You can rescan the disks (using the Rescan Disks command) or reboot the computer to see if the disk status changes.

Unrecognized

The disk has an original equipment manufacturer's (OEM) signature and Disk Management will not allow you to use this disk. For example, a disk from a UNIX system displays the Unrecognized status. Only Unknown disk types display the Unrecognized status.

No Media

No media have been inserted into the CD-ROM or removable drive. The disk status will change to Online when you insert the appropriate media into the CD-ROM or removable drive. Only CD-ROM or Removable disk types display the No Media status.

Related Topics


Support for removable media

In the graphical view, removable media devices are labeled Removable.

You can create only primary partitions on removable media devices.

You cannot create extended partitions, logical drives, or dynamic volumes on removable media devices.

You cannot mark as active a primary partition on a removable media device.


Using dynamic disks

  • Working with volumes
  • Volume status descriptions
  • Using simple volumes
  • Using spanned volumes
  • Using striped volumes
  • Using mirrored volumes
  • Using RAID-5 volumes


Working with volumes

Dynamic storage uses a volume-oriented scheme for disk organization. It is not compatible with disk partitions created under Windows NT Server 4.0.

You can use Windows 2000 Setup to configure disk space while upgrading Windows NT Server 4.0. However, if you intend to create new volumes or partitions on the disk, you should first back up any data on the disk.

You can configure the internal hard disk on a new computer during initial setup when you load the Windows 2000 Server operating system software. Use Disk Management to make changes to the disk after installation.

Disk management under Windows is very flexible. The number of volumes that you can create on a physical hard disk is limited only by the amount of available free space on the disk. You can also create volumes that span two or more disks and, optionally, are fault tolerant.

Each volume on a disk can have a different file system, such as the file allocation table (FAT) 16 or 32 file system or the NTFS file system. If you want multiple file systems and your existing hard disk has only one volume, you must create a second volume on the hard disk. If the disk does not have free space available, you need to reinstall Windows and leave room on the disk for additional volumes.

If you use only the Windows 2000 operating system, you can create one volume that occupies your entire disk. However, if you plan to use other operating systems, you must budget disk space accordingly during setup when you specify the size of the volume to contain Windows 2000.

After installation, you can use Disk Management to create additional volumes in the free space remaining on the disk. For example, if you plan to use another operating system—such as UNIX or MS-DOS—on your hard disk with a file system that is not recognized by Windows 2000, you must create a second volume, separate from Windows 2000. Note that MS-DOS and Windows 2000 can share the same volume if you format the volume as FAT.

Windows 2000 starts from the active system volume on the first internal hard disk (that is, Disk 0).

Support for creating high-performance file system (HPFS) partitions is not available in Windows 2000. HPFS partitions must be removed before running Setup.

Remember that any changes you make to your disk are immediately available. You do not need to quit Disk Management to save them or restart your computer to implement them. There is one exception to this rule: If you upgrade a boot disk from basic to dynamic, or if a volume or partition is in use on the disk that you attempt to upgrade from basic to dynamic, the computer must be restarted for the upgrade to succeed. For more information, see Upgrading a basic disk to dynamic.

Setting up a new dynamic disk

You can create any of the following in the free space on a dynamic disk:

  • System and boot volumes
  • Additional simple volumes (those in addition to the active volume)
  • Other types of Windows 2000 volumes, such as spanned, striped, mirrored, or RAID-5, assuming your disk system contains multiple disks


Volume status descriptions

One of the following volume status descriptions will always appear in the graphical view of the volume and in the Status column of the volume in list view. If there is a problem with a volume, you can use this troubleshooter to diagnose and correct the problem.

Healthy

The volume is accessible and has no known problems. This is the normal volume status. No user action is required. Both dynamic volumes and basic volumes display the Healthy status.

Healthy (At Risk)

The volume is currently accessible, but I/O errors have been detected on the underlying disk. If an I/O error is detected on any part of a disk, all volumes on the disk display the Healthy (At Risk) status. A warning icon appears on the volume. Only dynamic volumes display the Healthy (At Risk) status.

When the volume status is Healthy (At Risk), an underlying disk's status is usually Online (Errors). To return the underlying disk to the Online status, reactivate the disk (using the Reactivate Disk command). Once the disk is returned to Online status, the volume should return to the Healthy status.

Initializing

The volume is being initialized. Only dynamic volumes display the Initializing status.

No user action is required. When initialization is complete, the volume's status becomes Healthy. Initialization should be completed very quickly.

Resynching

The volume's mirrors are being resynchronized so that both mirrors contain identical data. Both dynamic and basic mirrored volumes display the Resynching status.

No user action is required. When resynchronization is complete, the mirrored volume's status returns to Healthy. Resynchronization may take some time, depending on the size of the mirrored volume. Although you can access a mirrored volume while resynchronization is in progress, you should avoid making configuration changes (such as breaking a mirror) during resynchronization.

Regenerating

Data and parity are being regenerated for the RAID-5 volume. Both dynamic and basic RAID-5 volumes display the Regenerating status.

No user action is required. When regeneration is complete, the RAID-5 volume's status returns to Healthy. You can access a RAID-5 volume while data and parity regeneration is in progress.

Failed Redundancy

The data on the volume is no longer fault tolerant because one of the underlying disks is not online. A warning icon appears on the volume with failed redundancy. The Failed Redundancy status applies only to mirrored or RAID-5 volumes. Both dynamic and basic volumes display the Failed Redundancy status.

You can continue to access the volume using the remaining online disks, but if another disk that contains the volume fails, you will lose the volume and its data. To avoid such loss, you should attempt to repair the volume as soon as possible.

Repairing Dynamic Volumes

If an underlying disk is not online, reactivate the disk (using the Reactivate Disk command). If disk reactivation succeeds, the volume automatically repairs itself and returns to the Healthy status. A mirrored volume repairs itself by resynchronizing the data in its mirrors. A RAID-5 volume repairs itself by regenerating its parity and data.

If the disk returns to the Online status, but the volume does not return to the Healthy status, you can reactivate the volume manually (using the Reactivate Volume command).

If the disk does not return to the Online status and the volume does not return to the Healthy status, there may be something wrong with the disk. You should replace the failed mirror or RAID-5 disk region. To replace the failed mirror in a mirrored volume, use the Remove Mirror command to remove the failed mirror, then use the Add Mirror command to create a new mirror on another disk. To replace the failed disk region in a RAID-5 volume, use the Repair Volume command.

Repairing Basic Volumes

To repair a basic mirrored volume, use the Repair Volume command, which creates and resynchronizes a new mirror on a healthy disk. If the volume does not return to the Healthy status, you can resynchronize the new mirror manually (using the Resynchronize Mirror command).

To repair a basic RAID-5 volume, use the Repair Volume command, which relocates the failed part of the RAID-5 volume to a healthy disk and regenerates parity. If the volume does not return to the Healthy status, you can regenerate the parity manually (using the Regenerate Parity command).

Failed Redundancy (At Risk)

The data on the volume is no longer fault tolerant and I/O errors have been detected on the underlying disk. If an I/O error is detected on any part of a disk, a warning icon appears on all dynamic volumes on the disk. Dynamic volumes that are not fault tolerant display the Healthy (At Risk) status. Only dynamic mirrored or RAID-5 volumes display the Failed Redundancy (At Risk) status.

When the volume status is Failed Redundancy (At Risk), the underlying disk's status is usually Online (Errors). To return the underlying disk to the Online status, reactivate the disk (using the Reactivate Disk command). Once the disk is returned to the Online status, the volume status should change to Failed Redundancy.

Failed

The volume cannot be started automatically. An error icon appears on the failed volume. Both dynamic and basic volumes display the Failed status.

Repairing Dynamic Volumes

If the underlying disks are not online, return the disk to the Online status (using the Reactivate Disk command). If this succeeds, the volume automatically restarts and returns to the Healthy status.

If the disk returns to the Online status, but the volume does not return to the Healthy status, you can reactivate the volume manually (using the Reactivate Volume command).

If the volume is a mirrored or RAID-5 volume with stale data, bringing the underlying disk online will not automatically restart the volume. If the disks that contain non-stale data are disconnected, you should bring those disks online first (to allow the data to become synchronized). Otherwise, restart the mirrored or RAID-5 volume manually (using the Reactivate Volume command), and then run Chkdsk.exe. To run Chkdsk.exe, click Start, click Run, type chkdsk, and then click OK.

Repairing Basic Volumes

Make sure that the underlying physical disk is turned on, plugged in, and attached to the computer. No other user action is possible for basic volumes.

Related Topics


Using simple volumes

A simple volume is a portion of a physical disk that functions as though it were a physically separate unit. Simple volumes are the dynamic storage equivalent of primary partitions in Windows NT 4.0 and earlier versions. When you have only one dynamic disk, they are the only kind of volume that you can create.

Creating and extending simple volumes

You can create simple volumes only on dynamic disks. Simple volumes cannot contain partitions or logical drives, nor can they be accessed by MS-DOS or by a Windows operating systems other than Windows 2000. You should create partitions instead of dynamic volumes if your computer also runs Windows NT 4.0 or earlier, Windows 98 or earlier, or MS-DOS.

If you want to increase the capacity of a simple volume after it has been created, you can extend it by the amount of unallocated space left on the disk. To extend a simple volume, the volume must be formatted with the version of NTFS used in Windows 2000. You cannot extend simple volumes that were formerly partitions on basic disks.

You can also extend a simple volume to regions on other disks on the same computer. When you extend a simple volume to one or more other disks, it becomes a spanned volume. After a spanned volume is extended, no portion of it can be deleted without deleting the entire spanned volume. Spanned volumes cannot be mirrored or striped.

For procedures on creating and extending simple volumes, see Manage simple volumes.

Assigning drive letters

You can create more than 26 volumes with Windows, but you cannot assign more than 26 drive letters for accessing these volumes. Drive letters A and B are reserved for floppy disk drives. However, if you do not have a floppy disk drive B, you can use the letter B for a network drive.

Windows enables the static assignment of drive letters. This means that a drive letter can be permanently assigned to a specific hard disk and volume. When a new hard disk is added to an existing computer system, it does not affect statically assigned drive letters.

Note

  • You should be careful when making drive-letter assignments because many programs for MS-DOS and Windows make references to a specific drive letter. The path environment variable shows specific drive letters with program names.
  • Volumes created after the 26th drive letter has been used must be accessed using volume mount points, as described in Using NTFS mounted drives.

Formatting and labeling volumes

Before you can store files and directories on the volumes that you have created, you must first format each volume for use with the file system that you want to work with. You can also assign descriptive volume labels at this time.

If a volume uses NTFS formatting, you can enable data compression. Before you can format a volume, you must assign it either a drive letter or a mount point, if it does not already have one.

To format a volume, see To format a dynamic volume.

Marking volumes as active

The names commonly used for the volumes containing the startup and operating system files are system volumes and boot volumes, respectively.

The system volume for Windows is the volume that contains the hardware-specific files needed to load the Windows operating system. The system volume must be a primary volume that has been marked as active for boot purposes and must be located on the disk that the computer accesses when starting the system. You can have only one active system volume at a time. If you want to use another operating system, you must first mark its system volume as active before restarting the computer.

The boot volume for Windows is the volume that contains the Windows operating system and its support files. The boot volume can be (but does not have to be) the same as the system volume. The boot volume also cannot be part of a spanned or striped volume.

Deleting volumes

Before deleting volumes under Windows, you need to make sure the information on them has been backed up onto another storage medium and verified, or that it is no longer needed.

Windows places certain restrictions on your ability to delete volumes. You cannot delete the volume with the system files (the boot volume) nor can you delete individual volumes that are part of a set without deleting the entire set.

Changing the file system on a volume

To change the file system on a simple volume, see To format a dynamic volume.


Using spanned volumes

Spanned volumes combine areas of unallocated space from multiple disks into one logical volume, allowing you to more efficiently use all of the space and all drive letters on a multiple-disk system.

When you need to create a volume, but don't have enough unallocated space for the volume on a single disk, you might be able to create a volume of sufficient size by combining sections of unallocated space from multiple disks into one spanned volume. The areas of unallocated space used to create spanned volumes can be different sizes. Spanned volumes are organized so that the space allocated to the volume on one disk gets filled up and then, starting at the next disk, the space allocated to the volume on that disk gets filled up. The process continues in the same way on each subsequent disk up to a maximum of 32 disks. After you create the spanned volume, Disk Management performs this process without further involvement from you.

Spanned volumes allow you to make more efficient use of drive letters. By combining the space used by multiple, smaller volumes from multiple disks into one spanned volume, you can free drive letters for other uses and enable the creation of a large volume for file system use.

Increasing the capacity of an already existing volume is called extending. Existing spanned volumes formatted with the NTFS file system can be extended by the amount of unallocated space on all disks. However, after a spanned volume is extended, no portion of it can be deleted without deleting the entire spanned volume. Disk Management formats the new area without affecting any existing files on the original spanned volume. You cannot extend spanned volumes formatted with the FAT file system.

Before making any changes to spanned volumes, you should first back up all the information on the volume.

For procedures on working with spanned volumes, see Manage spanned volumes.

Caution

  • Spanned volumes cannot be mirrored or striped and do not offer fault tolerance. If one of the disks containing a spanned volume fails, the entire volume fails.

Notes

  • You can create spanned volumes on dynamic disks only.
  • You need at least two dynamic disks to create a spanned volume.
  • MS-DOS, Windows 95, Windows 98, Windows NT 4.0, and other operating systems lacking dynamic storage capability cannot recognize any spanned volumes created by Windows 2000. Therefore, if you create a spanned volume on a dual-boot computer, that volume becomes unusable by those operating systems.
Figure showing a spanned volume


Using striped volumes

Striped volumes are created by combining areas of free space on 2 to 32 disks into one logical volume. Data is divided into blocks and spread in a fixed order among all the disks in the array.

With a striped volume, Windows writes data to multiple disks, similar to spanned volumes. However, as shown in the following illustration, striping writes files across all disks so that data is added to all disks at the same rate.

Striped volumes offer the best performance of all the Windows disk management strategies. However, as with spanned volumes, striped volumes do not provide fault tolerance. If a disk in a striped volume fails, the data in the entire volume is lost.

For procedures on working with striped volumes, see Manage striped volumes.

Note

  • MS-DOS, Windows 95, Windows 98, Windows NT 4.0, and other operating systems lacking dynamic storage capability cannot recognize any striped volumes created by Windows 2000. Therefore, if you create a striped volume on a dual-boot computer, that volume becomes unusable by those operating systems.
Figure showing a striped volume


Using mirrored volumes

A mirrored volume is a fault-tolerant volume that duplicates your data on two physical disks. It provides data redundancy by using a copy (mirror) of the volume to duplicate the information contained in the volume. The mirror is located on a different disk. If one of the physical disks fails, the data on the failed disk becomes unavailable, but the system continues to operate using the unaffected disk. A mirrored volume is slower than a RAID-5 volume in read operations but faster in write operations.

In Windows NT 4.0 and earlier, a mirrored volume was known as a mirror set.

Mirrored volumes protect a volume on a disk from media and, possibly, controller failure by maintaining a fully redundant copy on another disk. When a mirrored volume fails, you must break the mirrored volume to expose the remaining volume as a separate volume with its own drive letter. You can then create a new mirrored volume with unused free space of the same size or greater on another disk.

To create a mirrored volume, you create a volume using free space on another disk. If the second volume is larger, the remaining space becomes free space. The same drive letter is used for both volumes. Any existing volume, even the system and boot volumes, can be mirrored onto another volume of the same size or greater on another disk using either the same or a different controller. When creating mirrored volumes, it is best to use disks that are the same size, model, and manufacturer.

Mirrored volumes have better overall read and write performance than RAID-5 volumes. Another advantage of mirrored volumes over RAID-5 volumes is that there is no loss in performance when a member of a mirrored volume fails. Mirrored volumes are more expensive in terms of dollars per megabyte because disk space utilization is less. However, the entry cost of a mirrored volume is lower because it requires only two disks, whereas RAID-5 volumes require three or more disks.

Mirrored volumes reduce the chance of an unrecoverable error by providing a duplicate set of data, which doubles the number of disks required and the input/output (I/O) operations when writing to the disk. However, some performance gains are achieved for reading data because of I/O load balancing of requests between the two volumes.

When you want to use the space in a mirrored volume for other purposes, you must first break the mirrored volume relationship and then delete one of the volumes. Breaking the mirrored volume does not delete the information, but it is still safer to do a backup first.

In the case of an unrecoverable error on a volume within a mirrored volume, you need to break the mirrored volume relationship to expose the remaining volume as an individual volume. You can then reassign some free space on another disk to create a new mirrored volume.

For step-by-step procedures on how to create, break, or repair a mirrored volume, or to add a volume to or remove a volume from an existing mirrored volume, see Manage mirrored volumes.

For more information about mirrored volumes and fault tolerance, see Fault tolerance.

Figure showing a mirrored volume


Using RAID-5 volumes

A RAID-5 volume is a fault-tolerant volume with data and parity striped intermittently across three or more physical disks. If a portion of a physical disk fails, you can re-create the data that was on the failed portion from the remaining data and parity. RAID-5 volumes are a good solution for data redundancy in a computer environment in which most activity consists of reading data.

In Windows NT 4.0 and earlier, a RAID-5 volume was known as a striped set with parity.

Disk Management offers limited support of RAID-5 volumes on basic disks. You can repair, regenerate the parity of, and delete RAID-5 volumes, but you cannot create new RAID-5 volumes on basic disks. You can create RAID-5 volumes only on dynamic disks.

RAID-5 volumes have better read performance than mirrored volumes. However, when a member is missing, such as when a disk has failed, the read performance is degraded by the need to recover the data with the parity information.

Nevertheless, this strategy is recommended over mirrored volumes for programs that require redundancy and are primarily read-oriented. Write performance is reduced by the parity calculation. Also, a write operation requires three times more memory than a read operation during normal operation. Moreover, when a volume fails, reading requires at least three times more memory than before the failure. Both conditions are caused by the parity calculation.

RAID-5 volumes include one parity block per stripe. Therefore, you must use at least three, rather than two, disks to allow for the parity information. Parity stripes, as shown in the following illustration, are distributed across all the volumes to balance the I/O load.

RAID-5 provides data redundancy at a cost of only one additional disk for the volume. However, recovery from the failure of a disk in a RAID-5 volume is more time-consuming than for a mirrored volume.

When you want to recover the space in a RAID-5 volume for other purposes, be sure to back up the information in it first, if you want to reuse that information. Then delete the volume.

For procedures about how to create and repair RAID-5 volumes, see Manage RAID-5 volumes.

Notes

  • RAID-5 volumes are available only on computers running Windows 2000 Server. You can, however, use a computer running Windows 2000 Professional to create RAID-5 volumes on remote computers running Windows 2000 Server.
  • RAID-5 volumes cannot be mirrored or extended.
Figure showing a RAID-5 volume


Using basic disks

This section covers:

  • Working with partitions
  • Using volume sets and stripe sets
  • Using mirror sets and stripe sets with parity


Working with partitions

Use partitions on a basic disk just as you did with Windows NT Server 4.0, with the following exception: It is no longer necessary to commit changes to save them or to restart your computer to make the changes effective.

You can create up to four partitions in the free space on a physical hard disk. One of these four partitions, if disk space allows, can be an extended partition. You can use the free space in the extended partition to create multiple logical drives. You cannot use it to create volume sets or other kinds of fault-tolerant volumes.

To add a new partition or logical drive, see To create a partition or logical drive. Changes made by Disk Management are effective immediately. Unless you are making a change that affects existing files on the disk, the system implements your change without confirmation.

See Manage basic volumes for procedural information about the following:

  • To format a basic volume
  • To assign, change, or remove a drive letter
  • To mark a partition as active on an Intel-based computer
  • To delete a partition or logical drive


Using volume sets and stripe sets

You cannot create new volume sets or stripe sets on basic disks by using Windows 2000. You can only delete them. When you no longer want a volume set or a stripe set, or you have a problem with a faulty disk drive, you should first back up all the information on the set and only then delete it.

To establish a new spanned volume, which is the equivalent of a volume set on a basic disk, or a new striped volume, which is the equivalent of a stripe set on a basic disk, use a disk initialized for dynamic storage.

To convert an existing volume set or stripe set, upgrade the physical disks on which the set resides to dynamic. To convert a basic disk to dynamic, see To upgrade a basic disk to a dynamic disk.


Using mirror sets and stripe sets with parity

You cannot create new mirror sets or stripe sets with parity on basic disks by using Windows 2000. You can only repair or delete them. When you no longer want a mirror set or a stripe set with parity, or you have a problem with a faulty disk drive, you should first back up all the information on the set and only then delete it.

To establish a new mirrored volume, which is the equivalent of a volume set on a basic disk, or a new RAID-5 volume, which is the equivalent of a stripe set with parity on a basic disk, use a disk initialized for dynamic storage.

To convert an existing mirror set or stripe set with parity, upgrade the physical disks on which the set resides to dynamic. To upgrade disk storage to dynamic, see To upgrade a basic disk to a dynamic disk.


Resources

  • Windows 2000 Server family at Microsoft Windows (http://www.microsoft.com)
  • Microsoft TechNet at Microsoft TechNet (http://www.microsoft.com/)
  • Microsoft TechNet compact disks
  • Microsoft support at Updated technical information
  • Getting Started for Windows 2000 Server
  • Windows 2000 Server Resource Kit
  • Windows 2000 Server Registry


Troubleshooting

What problem are you having?

A disk's status is Offline or Missing.

Cause: An offline disk might be corrupted or intermittently unavailable. A missing disk might be corrupted, powered down, or disconnected.

Solution: Repair any disk, controller, or cable problems and make sure that the physical disk is turned on, plugged in, and attached to the computer. Next, use the Reactivate Disk command to bring the disk back online. For instructions describing how to reactivate missing or offline disks, see To reactivate a missing or offline disk. For more information about disk status descriptions, see Disk status descriptions.

A mirrored volume's status is Failed Redundancy.

Cause: One or both of the members of the mirrored volume has failed, and the volume is no longer fault tolerant.

Solution: If the disk is dynamic and the disk's status is Offline, see To reconnect the disk and repair the mirrored volume. If the disk is basic and the disk's status is Offline, see To repair a basic mirrored volume (mirror set). If the disk's status is Online (Errors), see To reactivate the disk. The disk's status may be Missing if it cannot be accessed at all.

The RAID-5 volume's status is Failed Redundancy.

Cause: One or all of the members of the RAID-5 volume has failed and the volume is no longer fault tolerant.

Solution: If the disk is dynamic and the disk's status is Offline, see To reconnect the disk and repair the RAID-5 volume. If the disk is basic and the disk's status is Offline, see To repair a basic RAID-5 volume (stripe set with parity). If the disk's status is Online (Errors), see To reactivate the disk. The disk's status may be Missing if it cannot be accessed at all.


Basic volumes

Basic volumes include partitions and logical drives, as well as volumes created using Windows NT 4.0 or earlier, such as volume sets, stripe sets, mirror sets, and stripe sets with parity. In Windows 2000, these volumes have been renamed to spanned volumes, striped volumes, mirrored volumes, and RAID-5 volumes, respectively.

Note

  • You can create basic volumes on basic disks only.

Related Topics


Disks

Disk Management supports basic and dynamic disks.

A basic disk is a physical disk that contains primary partitions, extended partitions, or logical drives. Basic disks may also contain spanned volumes (volume sets), mirrored volumes (mirror sets), striped volumes (stripe sets), and RAID-5 volumes (stripe sets with parity) created using Windows NT 4.0 or earlier.

Use basic disks if the computer also runs MS-DOS, Windows 98 or earlier, or Windows NT 4.0 or earlier because these operating systems cannot access dynamic volumes.

A dynamic disk is a physical disk that contains dynamic volumes created using Disk Management. Dynamic disks can contain an unlimited number of volumes, so you are not restricted to four volumes per disk. Dynamic disks cannot contain partitions or logical drives, and dynamic disks are not supported on portable computers.

Use dynamic disks if your computer runs only Windows 2000 and if you want to use more than four volumes per disk, create fault-tolerant volumes such as RAID-5 and mirrored volumes, or extend volumes onto one or more disks.

Related Topics


Dynamic volumes

Dynamic volumes are a new feature of Windows 2000 and can only be created on dynamic disks. With dynamic disks, you are no longer restricted to four volumes per disk.

There are five types of dynamic volumes: simple, spanned, mirrored, striped, and RAID-5. Only computers running Windows 2000 can access dynamic volumes. You should create basic volumes, such as partitions or logical drives, on basic disks if you want computers running Windows NT 4.0 or earlier, Windows 98 or earlier, or MS-DOS to access these volumes.

Notes

  • Dynamic volumes are not supported on portable computers.
  • Mirrored and RAID-5 volumes are available only on computers running Windows 2000 Server. You can, however, use a computer running Windows 2000 Professional to create mirrored and RAID-5 volumes on a remote computer running Windows 2000 Server.

Related Topics


Glossary of Disk Management terms

active partition

allocation unit size

basic disk

basic volume

boot volume

disk

dynamic disk

dynamic volume

extended partition

FAT

FAT32

fault tolerance

free space

logical drive

mirror

mirrored volume

NTFS

parity

partition

primary partition

RAID

RAID-5 volume

region

simple volume

spanned volume

striped volume

system volume

unallocated space

volume

XOR


Support for removable media devices

In the graphical view, removable media devices are labeled Removable.

You can create only primary partitions on removable media devices. You cannot create extended partitions, logical drives, or dynamic volumes on removable media devices.

You cannot mark a primary partition on a removable media device as active.


Mirrored volumes (mirror sets) on basic disks

In Windows NT 4.0 and earlier, mirrored volumes were known as mirror sets. Disk Management offers limited support of mirrored volumes on basic disks. You can repair, resynchronize, break, and delete existing mirrored volumes, but you cannot create new mirrored volumes on basic disks. You can create new mirrored volumes on dynamic disks only.

Related Topics


Mirrored volumes

A mirrored volume is a fault-tolerant volume that duplicates your data on two physical disks. It provides data redundancy by using a copy (mirror) of the volume to duplicate the information contained in the volume. The mirror is located on a different disk. If one of the physical disks fails, the data on the failed disk becomes unavailable, but the system continues to operate using the unaffected disk. A mirrored volume is slower than a RAID-5 volume in read operations but faster in write operations.

In Windows NT 4.0 and earlier, a mirrored volume was known as a mirror set.

Note

  • Mirrored volumes are available only on computers running Windows 2000 Server. You can, however, use a computer running Windows 2000 Professional to create mirrored volumes on a remote computer running Windows 2000 Server.

Related Topics


Partitions and logical drives on basic disks

Partitions and logical drives can reside only on basic disks. You can create up to four primary partitions on a basic disk, or up to three primary partitions and one extended partition. You can use the free space in an extended partition to create multiple logical drives.

Related Topics


RAID-5 volumes

A RAID-5 volume is a fault-tolerant volume with data and parity striped intermittently across three or more physical disks. If a portion of a physical disk fails, you can recreate the data that was on the failed portion from the remaining data and parity. RAID-5 volumes are a good solution for data redundancy in a computer environment in which most activity consists of reading data.

In Windows NT 4.0 and earlier, a RAID-5 volume was known as a stripe set with parity.

Note

  • RAID-5 volumes are available only on computers running Windows 2000 Server. You can, however, use a computer running Windows 2000 Professional to create RAID-5 volumes on a remote computer running Windows 2000 Server.

Related Topics


Repairing a dynamic mirrored volume

In Disk Management, when a mirrored volume's status is Failed Redundancy, the volume is no longer fault tolerant. To avoid data loss, you should attempt to repair the volume as soon as possible.

See Reconnect the disk and repair the mirrored volume if the mirrored volume's status is Failed Redundancy and one of the disk's status is Offline. The disk's status may be Missing if it cannot be accessed at all. An icon (X) appears in the graphical view of the Missing or Offline disk.

See Reactivate the disk if the mirrored volume's status is Failed Redundancy and the disk's status is Online (Errors). An icon (!) appears in the graphical view of the disk.


Reactivate the disk

To reactivate the disk

If the I/O errors are transient, you can try to reactivate the disk.

  2. Right-click the partially failed disk, and then click Reactivate Disk.

    3. The mirrored volume's status should change to Regenerating, then Healthy.

See Replace the failed mirror with a new mirror on another disk if the disk containing part of the mirrored volume did not return to the Healthy status.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.


Reconnect the disk and repair the mirrored volume

To reconnect the disk and repair the mirrored volume

A disk containing part of a mirrored volume has been disconnected. Try to reconnect and reactivate the disk.

  1. Make sure that the physical disk is turned on, plugged in, and attached to the computer. If necessary, turn on or reattach the physical disk.
  3. Right-click the Missing or Offline disk, and then click Reactivate Disk.

See Replace the failed mirror with a new mirror on another disk if the disk containing part of the mirrored volume did not return to the Healthy status.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.


Replace the failed mirror with a new mirror on another disk

To replace the failed mirror with a new mirror on another disk

If the disk containing part of the mirrored volume cannot be reactivated and the volume does not return to the Healthy status, you should replace the failed mirror with a new mirror on another disk.

  2. Right-click the mirror on the Missing or Offline disk, and then click Remove Mirror. Follow the instructions on your screen.
  3. Right-click the volume to be re-mirrored, and then click Add Mirror. Follow the instructions on your screen.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • To replace a mirror in the mirrored volume, you must have a dynamic disk with unallocated space that is at least as large as the region to repair. If you don't have a dynamic disk with enough unallocated space, the Add Mirror command is unavailable. (To verify you have enough space, right-click the disk, click Properties, and then check the size in Unallocated Space. This size may be slightly smaller than shown in the graphical and list views.)


Repairing a dynamic RAID-5 volume

In Disk Management, when a RAID-5 volume's status is Failed Redundancy, the volume is no longer fault tolerant. To avoid data loss, you should attempt to repair the volume as soon as possible.

See Reconnect the disk and repair the RAID-5 volume if the RAID-5 volume's status is Failed Redundancy and one of the disk's status is Offline. The disk's name may be Missing. An icon (X) appears in the graphical view of the Missing or Offline disk.

See Reactivate the disk if the RAID-5 volume's status is Failed Redundancy and the disk's status is Online (Errors). An icon (!) appears in the graphical view of the partially failed disk.


Reactivate the disk

To reactivate the disk

If the I/O errors are transient, you can try to reactivate the disk.

  2. Right-click the partially failed disk, and then click Reactivate Disk.

    3. The RAID-5 volume's status should change to Regenerating, then Healthy.

See Replace a disk region in the RAID-5 volume if the disk containing part of the RAID-5 volume did not return to the Healthy status

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.


Reconnect the disk and repair the RAID-5 volume

To reconnect the disk and repair the RAID-5 volume

A disk containing part of a RAID-5 volume has been disconnected. Try to reconnect and reactivate the disk.

  1. Make sure that the physical disk is turned on, plugged in, and attached to the computer. If necessary, turn on or reattach the physical disk.
  3. Right-click the Missing or Offline disk, and then click Reactivate Disk.

See Replace a disk region in the RAID-5 volume if the disk containing part of the RAID-5 volume did not return to the Healthy status

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.


Replace a disk region in the RAID-5 volume

To replace a disk region in the RAID-5 volume

If the disk containing part of the RAID-5 volume cannot be reactivated and the volume does not return to the Healthy status, you should replace the failed disk region in the RAID-5 volume.

  2. Right-click the portion of the RAID-5 volume on the failed disk, click Repair Volume, and then follow the instructions on your screen.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • To replace a disk region in the RAID-5 volume, you must have a dynamic disk with unallocated space that is at least as large as the region to repair. If you don't have a dynamic disk with enough unallocated space, the Repair Volume command is unavailable. (To verify that you have enough space, right-click the disk, click Properties, and then check the size in Unallocated Space. This size may be slightly smaller than shown in the graphical and list views.)
  • When a member of a RAID-5 volume fails in a severe manner (such as a loss of power or a complete hard disk failure), it becomes an orphan. If this happens, you can regenerate the data for the orphaned member from the remaining members of the RAID-5 volume.
  • If the RAID-5 failure is due to a power or cabling failure on a single device, you can regenerate the data within the orphaned member of the RAID-5 volume once the hardware state is restored.
  • The RAID-5 volume will not display the Healthy status in Disk Management until regeneration is complete.


Simple volumes

A simple volume is made up of disk space on a single physical disk. It can consist of a single region on a disk or multiple regions on the same disk that are linked together. You can extend a simple volume within the same disk or onto additional disks. If you extend a simple volume across multiple disks, it becomes a spanned volume.

Related Topics


Spanned volumes

A spanned volume is made up of disk space on more than one physical disk. You can add more space to a spanned volume by extending it at any time.

In Windows NT 4.0 and earlier, a spanned volume was known as a volume set.

Related Topics


Striped volumes (stripe sets) on basic disks

In Windows NT 4.0 and earlier, striped volumes were known as stripe sets. Disk Management offers limited support of striped volumes on basic disks. You can delete striped volumes, but you cannot create new striped volumes on basic disks. You can create new striped volumes on dynamic disks only.

Related Topics


RAID-5 volumes (stripe sets with parity) on basic disks

In Windows NT 4.0 and earlier, RAID-5 volumes were known as stripe sets with parity. Disk Management offers limited support of RAID-5 volumes on basic disks. You can repair, regenerate the parity of, and delete RAID-5 volumes, but you cannot create new RAID-5 volumes on basic disks. You can create RAID-5 volumes on dynamic disks only.

Related Topics


Repairing a volume with the status Stale Data

If you attempt to import disks that contain a mirrored or RAID-5 volume, but one of the volumes on the disks contains a stale mirror or stale parity information, the status Stale Data appears in the Import Foreign Disks dialog box. This problem can occur when the volumes on the disks you moved had a status other than Healthy before you moved them.

To fix this problem:

  1. Move the disks back to the computer where they came from. In Disk Management, use the Rescan Disks command or restart the computer to make sure all of the disks are installed correctly.

    2. If before the disks were moved, the volume showed the Failed Redundancy status, when the disks are moved back, the volume will still show the Failed Redundancy status. Make sure that the status of the disk that contained the stale mirror or parity information is not Offline. If the status is Offline, check for any hardware problems, reconnect the disk if necessary, and then use the Reactivate Disk command to bring the disk back online. If the hardware problem is corrected, the disk will show the Healthy status and any mirrored volumes on the disk will be resynchronized, and any RAID-5 volumes will regenerate parity.

  2. If the volume still shows the Failed Redundancy status, use the Reactivate Volume command. Disk Management will attempt to bring the volume back online. You will see a warning message indicating that Disk Management may not be able to bring back all of the data on the volume.
  3. If Disk Management successfully brings the volumes back online, the status of the volume becomes Healthy. Now you can move all of the disks that contain this volume to another computer. However, if you move all but one of the disks, then the volume will show the Data Not Redundant status in the Import Foreign Disk dialog box. You should attach the missing disks and import all of the disks at the same time.

Related Topics


Volume conditions when importing disks

When you import disks, all volumes on those disks will show the status OK unless there are problems with the volumes. These problems may be:

  • Data Incomplete. Data spans multiple disks, but not all of the disks were moved. Data on this volume will be destroyed unless you move the remaining disks that contain this volume, and then import all of the disks at the same time. You cannot import the missing disks at a later time to restore the data.
  • Data Not Redundant (applies to RAID-5 and mirrored volumes only). Data spans multiple disks, but one of the disks that contain the volume was not moved. This volume will lose redundancy if you import all but one of the disks that contain the volume. To prevent this, connect all disks that span this volume to the new computer at the same time, and then import all of the disks together. You cannot import the missing disks at a later time to restore redundancy. If you choose to import only some of the disks, any mirrored volumes will become simple volumes; any RAID-5 volumes will become RAID-5 volumes with the status Failed Redundancy.
  • Stale Data (applies to RAID-5 and mirrored volumes only). Data spans multiple disks, but not all of the disks were moved. The disks have a stale mirror or stale parity information. To find out how to fix this problem, see Related Topics.

Related Topics


Striped volumes

A striped volume stores data in stripes on two or more physical disks. Data in a striped volume is allocated alternately and evenly (in stripes) to the disks of the striped volume. Striped volumes substantially improve the speed of access to your hard disk.

In Windows NT 4.0 and earlier, a striped volume was known as a stripe set.

Related Topics


Troubleshooting

If a disk or volume fails, it is important to repair the disk or volume as quickly as possible to avoid data loss. Because time is critical, Disk Management makes it easy for you to locate problems quickly. In the Status column of the list view, you can view the status of a disk or volume. The status also appears in the graphical view of each disk or volume. If the status is not Healthy for volumes or Online for disks, use this section to determine the problem and then fix it.

Screen shot of disk and volume status


Additional information about upgrading a basic disk to a dynamic disk

Removable media. You cannot upgrade removable media devices to dynamic volumes. Removable media devices can contain only primary partitions.

Volumes that span multiple disks. If the basic disk contains any volumes that reside on multiple disks (such as mirrored, striped, spanned, or RAID-5 volumes), you must also upgrade all other disks that contain part of the volumes. If these other disks contain additional volumes that reside on multiple disks, you must also upgrade all disks that contain parts of these volumes. You must upgrade all of these disks together. Each of the disks must have at least 1 MB of unallocated space at the end of the disk or else the upgrade will fail. (This space may exist even if it is not visible in Disk Management.)

Disks with sector sizes larger than 512 bytes. You cannot upgrade a basic disk to a dynamic disk if the sector size of the disk is larger than 512 bytes.

System partitions. You can upgrade a basic disk containing the system or active partitions to a dynamic disk. Once the disk is upgraded, these partitions become simple system or active volumes (after restarting the computer). You cannot mark an existing dynamic volume as active.

Boot partitions. You can upgrade a basic disk containing the boot partition (which contains the Windows 2000 operating system) to a dynamic disk. Once the disk is upgraded, the boot partition becomes a simple boot volume (after restarting the computer).

Reinstalling Windows 2000 You can perform a fresh installation of Windows 2000 on a dynamic volume only if that volume was upgraded from a basic volume. (Upgrading a basic volume to dynamic reserves the partition table information. This information is required to perform fresh installations of Windows 2000 on dynamic volumes.)

Upgrade failures. If you upgrade a boot disk, or if a volume or partition is in use on the disk you attempt to upgrade, the computer must be restarted for the upgrade to succeed. If any of the following conditions occur, the upgrade can fail after the computer restarts:

  • If you disconnect all existing dynamic disks while the computer is restarting.
  • If you replace a disk or set of disks to be upgraded while the computer is restarting. (Disk Management detects that the disk has changed and the upgrade may fail.)
  • If you change the disk layout of a disk to be upgraded.
  • If the disk has I/O errors during the upgrade.

Mirroring the boot and system volumes. After you upgrade the disk containing the boot and system partitions to dynamic volumes, you can mirror the boot and system volumes onto another disk. If one of the disks containing the boot and system volumes fails, you can start the computer from the disk containing the mirrors of these volumes. You need to add an entry to the Boot.ini file before you can start the computer from the new boot disk.

When the upgrade takes place. System and boot partitions are upgraded to dynamic volumes after the computer is restarted. All other partitions and basic volumes are upgraded immediately. However, if a partition or basic volume on the disk that you are upgrading is in use, an event known as force dismounting will occur, which means that any programs using the volume will automatically be disconnected. If the volume cannot be force dismounted (for example, there is an active paging file on the volume), then the disk upgrade will not be completed until you restart the computer.

Other operating systems. If you upgrade a disk with a partition that contains an operating system other than the Windows 2000 operating system that is currently running, you will not be able to start the computer from that operating system after the upgrade.

Related Topics


Spanned volumes (volume sets) on basic disks

In Windows NT 4.0 and earlier, spanned volumes were known as volume sets. Disk Management offers limited support of volume sets on basic disks. You can delete volume sets, but you cannot create new volume sets or extend volume sets on basic disks. You can create new spanned volumes on dynamic disks only.

Related Topics